# $Id: test_lightSecs.py,v 1.2 2019/01/25 12:53:51 leavens Exp leavens $
from lightSecs import lightSecs
from math import isclose
def test_lightSecs():
    """Test the lightSecs function."""
    assert isclose(lightSecs(1), 5.368193752225749e-06)
    assert isclose(lightSecs(299792458 / 1609.344), 1.0)
    assert isclose(lightSecs(1000), 0.005368193752225748)
    # distance to Mars (on average) from earth is about 140 million miles
    assert isclose(lightSecs(140e6), 751.5471253116048)
    # distance to Voyager 1 on 1/11/2019 at about 11:28pm
    assert isclose(lightSecs(13491749492), 72426.32532954932)
    # approximate distance to the closest star, Proxima Centari
    assert isclose(lightSecs(25e15), 134204843805.6437)

