# $Id: test_moons.py,v 1.2 2019/01/25 12:53:51 leavens Exp leavens $
from moons import moons
from math import isclose
Sidereal_Month = 27.321661 #days
Days_in_Year = 365.25
def test_moons():
    """Tests for the moons function."""
    assert isclose(moons(1), Days_in_Year / Sidereal_Month)
    assert isclose(moons(18), 18 * Days_in_Year / Sidereal_Month)
    assert isclose(moons(19), 19 * Days_in_Year / Sidereal_Month)
    assert isclose(moons(20), 20 * Days_in_Year / Sidereal_Month)
    assert isclose(moons(30), 30 * Days_in_Year / Sidereal_Month)
    assert isclose(moons(40), 40 * Days_in_Year / Sidereal_Month)
    assert isclose(moons(50), 50 * Days_in_Year / Sidereal_Month)
    # oldest human lived 122 years and 164 days
    assert isclose(moons(122.449315), 122.449315 * Days_in_Year / Sidereal_Month)
    # some turtles and a clam have lived 500 years
    assert isclose(moons(500), 500 * Days_in_Year / Sidereal_Month)
    # a bristlecone pine is thought to be about 5000 years old
    assert isclose(moons(5000), 5000 * Days_in_Year / Sidereal_Month)
